﻿
INSERT INTO [RZ_DICOM].[dbo].[N_PATIENT]
           ([patient_id]
           ,[patient_name]
           ,[birth_date]
           ,[sex])
     VALUES
           ('123456789'
           ,'AB^CD'
           ,'1/1/1956'
           ,'M')

declare @pid int
select @pid = SCOPE_IDENTITY()

INSERT INTO [RZ_DICOM].[dbo].[SERVICE_REQUEST]
           ([accession_number]
           ,[referring_physicians_names]
           ,[requesting_physician])
     VALUES
           ('RRZ000000000001'
           ,'Physician^Referring'
           ,'Physician^Requesting')

declare @srid int
select @srid = SCOPE_IDENTITY()


INSERT INTO [RZ_DICOM].[dbo].[REQUESTED_PROCEDURE]
           ([study_instance_uid]
           ,[req_proc_desc]
           ,[service_request_id]
           ,[patient_internal_id])
     VALUES
           ('1.2.3.4.5.6.7.8'
           ,'Requested procedure description'
           ,@srid
           ,@pid)

declare @rpid int
select @rpid = SCOPE_IDENTITY()

INSERT INTO [RZ_DICOM].[dbo].[SCHED_PROC_STEP]
           ([modality]
           ,[scheduled_station_ae_title]
           ,[start_date_time]
           ,[end_date_time]
           ,[perf_phys_name]
           ,[sched_proc_step_desc]
           ,[sched_proc_step_id]
           ,[req_proc_id])
     VALUES
           ('CR'
           ,'TESTCR'
           ,getdate()
           ,null
           ,'Performing Physician Name'
           ,'Secheduled Procedure Step Description'
           ,'SPSID1'
           ,@rpid)